# macOS安装machete家庭相册

Install scripts of machete，Machete家庭相册的macOS安装脚本。


通过它可以帮你在Mac mini电脑上快速安装家庭相册网站，为你在家庭局域网内帮助家庭成员更好地在手机、电视机、电脑里欣赏你们的珍贵回忆。


我们相信，回忆被经常看到才倍显珍贵！


## 系统要求

本脚本目前支持的系统有：

  | 系统名称 | 版本号 |
| ---- | ---- |
| macOS Monterey | 12.7.5+ |

如果在老版本的macOS里安装失败，请加下面QQ群与老马联系。


## 软件清单

以下为脚本安装的软件明细：

* docker desktop mac版
* machete docker image


## 安装相册

在macOS里下载好当前源码之后，打开terminal命令行终端，然后输入以下命令：

```
cd machete_installer/
./install.sh
```

根据一键安装脚本的提示，一步一步完成即可。


## 系统升级

打开terminal命令行终端，然后输入以下命令：

```
cd machete_installer/
./upgrade.sh
```


## 刷新快捷方式

如果因为家庭网络重启等原因，Mac mini主机ip发生变化，可执行refresh.sh脚本更新它的网址。


打开terminal命令行终端，然后输入以下命令：

```
cd machete_installer/
./refresh.sh
```


## 卸载machete

打开terminal命令行终端，然后输入以下命令：

```
cd machete_installer/
./uninstall.sh
```

卸载machete家庭相册时，不会删除你本地的照片、视频。


## 交流QQ群

Machete源码交流QQ群：**44123711**

使用中遇到任何问题，欢迎加入QQ群大家一起讨论。
